Subject: bug#67654: 29.1; Hiding menu bar makes new frames very small

From: Po Lu <[email-masked]>
Date: Mon, 11 Dec 2023 15:37:49 +0800

Roshan Shariff <[email-masked]> writes:

> I tried a git bisect only to find that commits as far back as ~2015
> exhibit the bug; I wasn't able to compile older versions on my system
> because of segfaults during compilation. So it seems plausible that
> the GTK3 build of Emacs has always had this issue.

It's much more plausible that some change to GTK has introduced this
bug... so much for breaking changes not being made to GTK 3.

Every minute spent on this senseless wild goose chase at the behest of a
cabal of toolkit developers avowedly hostile to us, as they have
expressed time and again, is a minute gone to waste.  Not to say that
nobody will, but I don't see myself entering this chase.  Patches
welcome as usual, and thanks in advance.

If the no toolkit, Lucid, Motif, or GTK+ 2.x builds don't suffer this
problem, it'd be prudent to use one of those instead, and forget this
bug happened.